#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito 
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# --------------------------------------------------------------------------
## include this file in Makefile to work with rheolef

rheolef_prefix		      = /usr
rheolef_exec_prefix	      = /usr
CXX                   = g++
#CXXFLAGS              = -std=c++11 -Wall -Wno-unused -Werror -Wno-strict-aliasing -O2
CC                    = gcc
CFLAGS                = -O2
CPP                   = gcc -E
CXXCPP                = g++ -E
#CPPFLAGS              = 
LD                    = g++
LDFLAGS               = 
INCLUDES_BLACS        = 
LDADD_BLACS           = -lblacs-openmpi
INCLUDES_SCALAPACK    = 
LDADD_SCALAPACK       = -lscalapack-openmpi

LDADD_RHEOLEF         = ${rheolef_exec_prefix}/lib/librheolef.la
RHEOLEF_HARDCODE_FLAG = -Wl,-rpath -Wl,/usr/lib
INCLUDES_RHEOLEF      =  -std=c++11 -Wall -Wno-unused -Werror -Wno-strict-aliasing -O2   -pthread -I/usr/lib/openmpi/include        -I${rheolef_prefix}/include -I${rheolef_exec_prefix}/lib
LIBS_RHEOLEF          = -L${rheolef_exec_prefix}/lib -lrheolef -lCGAL_Core -lCGAL -lboost_thread -lgmp  -ldmumps -lmumps_common -lpord ${LDADD_SCALAPACK} ${LDADD_BLACS}     -lptscotchparmetis -lptscotch -lptscotcherrexit -lscotch -lscotcherrexit  -llapack -lblas  -lboost_mpi -lboost_serialization -pthread -L/usr/lib/openmpi/lib -lmpi_cxx -lmpi_f77 -lmpi -lopen-rte -lopen-pal    $(RHEOLEF_HARDCODE_FLAG)
